Welcome to mirror list, hosted at ThFree Co, Russian Federation.

gitlab.com/gitlab-org/gitlab-foss.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/db_migrate')
-rwxr-xr-xscripts/db_migrate11
1 files changed, 11 insertions, 0 deletions
diff --git a/scripts/db_migrate b/scripts/db_migrate
new file mode 100755
index 00000000000..e001843cd50
--- /dev/null
+++ b/scripts/db_migrate
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+root_path="$(cd "$(dirname "$0")/.." || exit ; pwd -P)"
+
+if [[ -d "${root_path}/ee/" ]]; then
+ task="db:migrate:main"
+else
+ task="db:migrate"
+fi
+
+eval "bundle exec rake ${task} ${*}"